<template>
  <div
    id="map"
    style="width: auto; height: 100vh; position: relative; overflow: hidden"
  ></div>
</template>
<script lang="ts" setup>
import { Loader, LoaderOptions } from '@googlemaps/js-api-loader'
import { onMounted } from 'vue'
import { setPageLayout } from '#app'
// const GoogleEarth = require('@google/earthengine')
// import GoogleEarth from '@google/earthengine'

setPageLayout('empty')
onMounted(() => {
  const loaderOptions: LoaderOptions = {
    apiKey: 'AIzaSyDbFKNP0PF35sv9ROGzdVryTPIDiQcODBA',
    version: 'weekly',
  }
  const loader = new Loader(loaderOptions)
  loader.load().then(() => {
    const map: google.maps.Map = new google.maps.Map(
      document.getElementById('map') as HTMLElement,
      {
        center: { lat: 21.023786, lng: 105.814553 },
        zoom: 16,
        mapTypeControl: true,
        mapTypeControlOptions: {
          style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR,
          position: google.maps.ControlPosition.TOP_CENTER,
        },
        zoomControl: true,
        zoomControlOptions: {
          position: google.maps.ControlPosition.LEFT_CENTER,
        },
        scaleControl: true,
        streetViewControl: true,
        streetViewControlOptions: {
          position: google.maps.ControlPosition.LEFT_TOP,
        },
        fullscreenControl: true,
        mapTypeId: google.maps.MapTypeId.TERRAIN,
      }
    )
    map.setTilt(45)

    // google.maps.event.addListenerOnce(map, 'idle', function () {
    //   map.setMapTypeId('GoogleEarthAPI')
    // })

    console.log(map, 'map')
  })
})
</script>
